picard.illumina.parser

## Class Range

- java.lang.Object
- - picard.illumina.parser.Range

-     public class Range
      extends Object

  While structurally identical to CompositeIndex, this class is maintained as it makes code more readable when the two are used together (see QSeqParser)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `end`
    `int` | `length`
    `int` | `start`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Range(int start, int end)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object object)`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### start

          public final int start

    - #### end

          public final int end

    - #### length

          public final int length

  - ### Constructor Detail

    - #### Range

          public Range(int start,
                       int end)

  - ### Method Detail

    - #### equals

          public boolean equals(Object object)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`